
Redmine - Patch #38146

Fix all performance-related RuboCop offenses

2023-01-04 07:29 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version: 5.1.0   

Description

This patch fixes all performance-related offenses detected by RuboCop.

These patches may improve performance, although very slightly.

Associated revisions

Revision 22026 - 2023-01-11 14:18 - Go MAEDA

Fix RuboCop offense Performance/AncestorsInclude (#38146).

Revision 22027 - 2023-01-11 14:20 - Go MAEDA

Fix RuboCop offense Performance/BlockGivenWithExplicitBlock (#38146).

Revision 22028 - 2023-01-11 14:25 - Go MAEDA

Raise MinSize for RuboCop Performance/CollectionLiteralInLoop to 4 (#38146).

Revision 22029 - 2023-01-11 14:26 - Go MAEDA

Fix RuboCop offense Performance/ConstantRegexp (#38146).

Revision 22030 - 2023-01-11 14:29 - Go MAEDA

Fix RuboCop offense Performance/FixedSize (#38146).

Revision 22031 - 2023-01-11 14:30 - Go MAEDA

Fix RuboCop offense Performance/RedundantEqualityComparisonBlock (#38146).

Revision 22032 - 2023-01-11 14:31 - Go MAEDA

Fix RuboCop offense Performance/RedundantMatch (#38146).

Revision 22033 - 2023-01-11 14:33 - Go MAEDA

Fix RuboCop offense Performance/RedundantSplitRegexpArgument (#38146).

Revision 22034 - 2023-01-11 14:36 - Go MAEDA

Disable RuboCop offense Performance/Sum in IssueFieldsRows#to_html (#38146).

History

#1 - 2023-01-11 14:37 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from Candidate for next major release to 5.1.0

Files

0002-Fix-RuboCop-offense-Performance-BlockGivenWithExplic.patch 7.89 KB 2023-01-04 Go MAEDA

0001-Fix-RuboCop-offense-Performance-AncestorsInclude.patch 2.43 KB 2023-01-04 Go MAEDA

0003-Fix-RuboCop-offense-Performance-CollectionLiteralInL.patch 1.98 KB 2023-01-04 Go MAEDA

0004-Fix-RuboCop-offense-Performance-ConstantRegexp.patch 6.43 KB 2023-01-04 Go MAEDA
0006-Fix-RuboCop-offense-Performance-RedundantEqualityCom.patch3.3 KB 2023-01-04 Go MAEDA

0005-Fix-RuboCop-offense-Performance-FixedSize.patch 4.33 KB 2023-01-04 Go MAEDA

0007-Fix-RuboCop-offense-Performance-RedundantMatch.patch 3.35 KB 2023-01-04 Go MAEDA

0009-Fix-RuboCop-offense-Performance-Sum.patch 1.48 KB 2023-01-04 Go MAEDA

0008-Fix-RuboCop-offense-Performance-RedundantSplitRegexp.patch1.85 KB 2023-01-04 Go MAEDA
